Subject: Re: bug#62509: 30.0.50; Changes to naming for Windows stapshots - PATCH

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Sep 2023 21:39:28 +0200

Corwin Brust <[email-masked]> writes:

> Today I put an initial set of Emacs 30 "snapshot" binaries for Windows
> on GNU alpha.  In the process, I created a new folder for emacs-30[0].
> At the moment, this folder is without the customary README.
>
> I've attached a patch that suggests changes based on how I name the
> snapshots, locally, when building them.  All of this is totally open
> to discussion :)
>
> Previously snapshot builds included a (rather nebulous) date, e.g.:
>   emacs-30-YYYY-MM-DD-no-deps.zip.
>
> Locally, my snapshots, instead of any date, include the git revision
> short-code effective in the source tree where the build is taking
> place, e.g.:
>   emacs-30-28a9438169f-no-deps.zip
>
> TIA for sharing your thoughts; I can easily rename files, including
> those already posted if necessary.

How about

    emacs-30-YYYY-MM-DD-REVISION-no-deps.zip.

> Background:
>
> The file admin/nt/dist-build/README-windows-binaries is usually placed
> at the root of each new folder that will contain windows binaries, for
> example the "emacs-30" folder for snapshot (and eventually pre-release)
> builds from (as currently called) "master".
>
> The attached patch updates this file to reflect a change in how I've
> been naming snapshot binaries, locally.
>
> Snapshot binaries are in-tree source builds, rather than being made
> from a release --or prerelease-- tarball.
>
> [0] https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-30

Please skip this chunk, though:

@@ -91,4 +100,4 @@ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
-along with GNU Emacs.  If not, see https://www.gnu.org/licenses/.
+along with GNU Emacs.  If not, see https://www.gnu.org/licenses/.
\ No newline at end of file